CipherModeFinalTemplate_ExternalCipher< BASE > Class Template Reference
Inheritance diagram for CipherModeFinalTemplate_ExternalCipher< BASE >:

## Public Member Functions

| CipherModeFinalTemplate_ExternalCipher (BlockCipher &cipher)
| CipherModeFinalTemplate_ExternalCipher (BlockCipher &cipher, const byte *iv, int feedbackSize=0)
std::string | AlgorithmName () const

## Detailed Description

### template<class BASE>
class CipherModeFinalTemplate_ExternalCipher< BASE >

Template Parameters

  BASE | CipherModeFinalTemplate_CipherHolder base class

Definition at line 328 of file modes.h.

The documentation for this class was generated from the following file:

- modes.h